package com.jy.framework.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务操作类型
 */
@Getter
@AllArgsConstructor
public enum BusinessType {

    SELECT(1, "查询"),
    INSERT(2, "新增"),
    UPDATE(3, "修改"),
    DELETE(4, "删除"),
    IMPORT(5, "导入"),
    EXPORT(6, "导出"),
    OTHER(99, "其他"),
    ;

    private final Integer key;
    private final String explain;

}
